--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Registers botmodule <em>botmodule</em> with command <em>cmd</em> and command path <em>auth_path</em>
full_name: Irc::Bot::Plugins::PluginManagerClass#register
is_singleton: false
name: register
params: (botmodule, cmd, auth_path)
visibility: public
